Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.format
Class AutoPositionLabelsEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.format.AutoPositionLabelsEdit

All Implemented Interfaces:
  UndoableEdit

    public class AutoPositionLabelsEdit

extends DocumentEdit

Since:
  2.0.35
Author:
  Ben Stöver

Field Summary
`private Branch[]` | `branches`
`private String[]` | `ids`
`static double` | `LABEL_BLOCK_ASPECT_RATIO`
`static int` | `LINE_POSITION_STEP`
`private Vector<LabelFormats>[]` | `oldFormats`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`AutoPositionLabelsEdit(Document document, Branch[] branches)`

Method Summary
`private void` | `backupFormats()`
`String` | `getPresentationName()`
`private static void` | `position(Branch branch, String[] ids)`
`static void` | `position(Node root)`
`void` | `redo()`
`private void` | `restoreFormats()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL_BLOCK_ASPECT_RATIO

    public static final double LABEL_BLOCK_ASPECT_RATIO

See Also:
  Constant Field Values

### LINE_POSITION_STEP

    public static final int LINE_POSITION_STEP

See Also:
  Constant Field Values

### branches

    private Branch[] branches

### ids

    private String[] ids

### oldFormats

    private Vector<LabelFormats>[] oldFormats

Constructor Detail

### AutoPositionLabelsEdit

    public AutoPositionLabelsEdit(Document document,
                                  Branch[] branches)

Method Detail

### backupFormats

    private void backupFormats()

### restoreFormats

    private void restoreFormats()

### position

    private static void position(Branch branch,
                                 String[] ids)

### position

    public static void position(Node root)

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD